# Interface VectorStorageFloating4Type

All Superinterfaces:
  `VectorReadable2DType, VectorReadable3DType, VectorReadable4DType, VectorStorageFloating2Type, VectorStorageFloating3Type, VectorStorageType`

All Known Subinterfaces:
  `PVectorByteBufferedFloating4Type<T>, PVectorStorageFloating4Type<T>, VectorByteBufferedFloating4Type`

All Known Implementing Classes:
  `PVectorByteBufferedFloating4s16, PVectorByteBufferedFloating4s32, PVectorByteBufferedFloating4s64, PVectorMutable4D, VectorByteBufferedFloating4s16, VectorByteBufferedFloating4s32, VectorByteBufferedFloating4s64, VectorMutable4D`

public interface VectorStorageFloating4Type extends VectorReadable4DType, VectorStorageFloating3Type
The type of mutable 4D floating point number vectors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `setVector4D(Vector4D v)`
  Set the components from the given vector.
  `default void`
  `setVector4F(Vector4F v)`
  Set the components from the given vector.
  `void`
  `setW(double w)`
  Set the `w` component.
  `default void`
  `setXYZW(double x, double y, double z, double w)`
  Set the `x`, `y`, `z`, and `w` components.

  ### Methods inherited from interface VectorReadable2DType

  `x, y`

  ### Methods inherited from interface VectorReadable3DType

  `z`

  ### Methods inherited from interface VectorReadable4DType

  `w`

  ### Methods inherited from interface VectorStorageFloating2Type

  `setVector2D, setVector2F, setX, setXY, setY`

  ### Methods inherited from interface VectorStorageFloating3Type

  `setVector3D, setVector3F, setXYZ, setZ`

- ## Method Details

  - ### setVector4D

    default void setVector4D(Vector4D v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setVector4F

    default void setVector4F(Vector4F v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setW

    void setW(double w)
    Set the `w` component.
    Parameters:
      `w` - The W component

  - ### setXYZW

    default void setXYZW(double x, double y, double z, double w)
    Set the `x`, `y`, `z`, and `w` components.
    Parameters:
      `x` - The X component
      `y` - The Y component
      `z` - The Z component
      `w` - The W component